Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#1387 closed defect

Interrupt Manager Services Callable from ISR

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 4.10
Component: doc Version: 4.10
Severity: normal Keywords:
Cc: manuel.coutinho@…, murat.homurlu@… Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

The Classic API Interrupt Manager documentation does not list its own
services (disable, enable, etc) as callable from an ISR.

Attachments (1)

intr_t.diff (1.9 KB) - added by Joel Sherrill on 02/27/09 at 15:01:17.
Patch

Download all attachments as: .zip

Change History (6)

Changed on 02/27/09 at 15:01:17 by Joel Sherrill

Attachment: intr_t.diff added

Patch

comment:1 Changed on 02/27/09 at 15:05:22 by Joel Sherrill

Resolution: fixed
Status: newclosed

comment:2 Changed on 06/10/10 at 13:08:14 by Özgür Murat Homurlu

Cc: Özgür Murat Homurlu added

comment:3 Changed on 06/11/10 at 00:24:58 by Joel Sherrill

Resolution: fixed
Status: closedreopened

comment:4 Changed on 07/23/10 at 11:18:16 by Özgür Murat Homurlu

My initial comment was about removal of "Clock and Timer Management" section. With your new patch a "Clock Management" section is added to MAIN and rtems-4.9-branch branches. New "Clock Management" section has substantially more routines listed now (previously only two routines were listed from clock management). I can't comment on their suitability to be called from interrupt context but your patch still lacks "Timer Management" routines previously listed under "Clock and Timer Management" section ("rtems_timer_fire_after, rtems_timer_fire_when and rtems_timer_cancel" was the previous list). I'd also like to request that changes are applied to the 4.8 branch if it's not closed. Thanks.

comment:5 Changed on 11/21/14 at 16:54:18 by Joel Sherrill

Description: modified (diff)
Resolution: fixed
Status: reopenedclosed

It appears that this request in the above comment is made in the current documentation.

Note: See TracTickets for help on using tickets.